Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"f677dfbe-9d15-49f1-abf0-2eac75853cae","url":null,"userId":"9ddb0463-aa0e-4229-8c0c-e78c9efd0e31","userUrl":null,"parentCommentId":"4b1a1a40-40cf-4724-ab2a-92fa0fb282bb","parentCommentUrl":null,"creationDateTime":"2026-11-08T15:53:42.2305466+00:00","lastModifiedDateTime":"2026-11-08T19:53:42.2305466+00:00","medias":[{"id":"b93069cb-62b9-4895-851b-58b0347d0b0b","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"aab16fe7-5c03-442f-a14c-7813ab7d26e8","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"c3e083a6-8b74-4166-aec6-5ca9a57f8cb0","url":null,"userId":"15a41160-a8ee-42fe-958d-bcf54eeb891c","userUrl":null,"parentCommentId":"5e0c0772-042a-4f73-8a7a-f20d8eafb643","parentCommentUrl":null,"creationDateTime":"2026-11-08T14:53:42.2305466+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"45eaf3e0-84b7-43de-8e3d-51c256e34d73","url":null},{"type":"Department","name":null,"id":"3ffa4d1c-8745-47b9-9902-859a6780ca7d","url":null},{"type":"User group","name":null,"id":"ff72cb5a-745d-42f3-adb8-fd8cbdc585a9","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string